[Linux] 解决CentOS下Requires: libjson-c.so错误

编程之家收集整理的这篇文章主要介绍了[Linux] 解决CentOS下Requires: libjson-c.so错误编程之家小编觉得挺不错的,现在分享给大家,也给大家做个参考。

搜索热词

当安装某些rpm包的时候,会爆出这个错误

Requires: libjson-c.so

json-c是c语言下的json库,如果在centos6下可以访问下面这个页面找到64位的rpm包,一定要看清是4位还是32位

http://rpmfind.net/linux/rpm2html/search.PHP?query=libjson-c.so.2()(64bit)

 

下载rpm包,  并且安装它

wget http://rpmfind.net/linux/centos/6.10/os/x86_64/Packages/json-c-0.11-13.el6.x86_64.rpm

rpm -Uvh json-c-0.11-13.el6.x86_64.rpm

 

@H_403_20@

 

相关文章

总结

以上是编程之家为你收集整理的[Linux] 解决CentOS下Requires: libjson-c.so错误全部内容,希望文章能够帮你解决[Linux] 解决CentOS下Requires: libjson-c.so错误所遇到的程序开发问题。

如果觉得编程之家网站内容还不错,欢迎将编程之家网站推荐给程序员好友。

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
如您喜欢寻找一群志同道合、互帮互助的学习伙伴,可以点击下方链接加入:
编程之家官方1群:1065694478(已满)
编程之家官方2群:163560250(已满)
编程之家官方3群:312128206

猜你在找的CentOS相关文章

首先安装虚拟机很简单,所以呢,具体的安装过程就引用别人的博客,这篇文字很详细,引用之后会在后面加上一些遇到的问题: 原文:https://blog.csdn.net/babyxue/article/d
当安装某些rpm包的时候 , 会爆出这个错误 Requires: libjson-c.so json-c是c语言下的json库 , 如果在centos6下可以访问下面这个页面找到64位的rpm包 ,
一、安装 二、修改密码 三、修改远程连接权限(为了使用navicat)
一、查找已经安装的jdk(如果已经安装) 二、上传并解压jdk 三、配置环境变量 四、如果查看版本报错 如果报了“ /usr/local/jdk1.8.0_144/bin/java: /lib/ld
简介 ​ Redis 是一个开源(BSD许可)的,内存中的数据结构存储系统,它可以用作数据库、缓存和消息中间件。 它支持多种类型的数据结构,如 字符串(strings), 散列(hashes), 列表
一、工具 Xshell XFTP 1.1、首先将Tomcat7的压缩文件利用XFTP上传到Centos7系统上的 /etc/local/tomcat中 1.2 、解压文件,并删除压缩文件(上图是解压好
在防火墙中开放端口80和端口22的方法如下: #/sbin/iptables -I INPUT -p tcp --dport 80 -j ACCEPT #/sbin/iptables -I INPUT
1.检查当前安装的PHP包 yum list installed | grep php 如果有安装的PHP包,先删除他们 yum remove php.x86_64 php-cli.x86_64 ph